<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ประวัติการปรับปรุงผลิตภัณฑ์</a>
      </div>
      <p class="pps-header_th">
        รายการที่แสดงตามด้านล่างนี้เกี่ยวกับประวัติการปรับปรุงผลิตภัณฑ์
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="userRole === 'PO'">
        <button type="button" class="btn btn-primary sandwork" (click)="sandwork()">
          ส่งงาน
        </button>
      </div>
    </div>
  </div>
</div>
<br />
<!-- --------------------------------------------------------------------------------------------------------------------- -->
<!-- <div class="body-detal"> -->
<table mat-table class="table-proccess" [dataSource]="stepFourteen">

  <!-- Position Column -->
  <ng-container matColumnDef="title">
    <th mat-header-cell *matHeaderCellDef style="padding: 6px;min-width: 250px;"> หัวข้อ </th>
    <td mat-cell *matCellDef="let element" style="padding: 6px;word-break: break-all;min-width: 250px;">
      {{element.topic}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="detail">
    <th mat-header-cell *matHeaderCellDef style="padding: 6px;min-width: 250px;"> เดิม </th>
    <td mat-cell *matCellDef="let element" style="padding: 6px;word-break: break-all;min-width: 250px;">
      {{element.oldDetail}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="newDtail">
    <th mat-header-cell *matHeaderCellDef style="padding: 6px;min-width: 250px;"> ใหม่ </th>
    <td mat-cell *matCellDef="let element" style="padding: 6px;word-break: break-all;min-width: 250px;">
      {{element.newDetail}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="date">
    <th mat-header-cell *matHeaderCellDef style="padding: 6px;min-width: 250px;text-align:center;">
      วันที่เสนอต่อบอร์ด PC </th>
    <td mat-cell *matCellDef="let element"
      style="padding: 6px;word-break: break-all;min-width: 250px;text-align:center">
      {{element.presentDate}}
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
<!-- </div> -->